GET
/api/v1/images/upgradeimage/{vm_template_id}/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/images/upgradeimage/{vm_template_id}/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/images/upgradeimage/{vm_template_id}/", params={"project_id": "<PROJECT_ID>", "apikey": "<API_KEY>", "location": "<LOCATION>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/images/upgradeimage/{vm_template_id}/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", apikey: "<API_KEY>", location: "<LOCATION>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());For an image template, returns the compute plans (SKUs) available in the region along with their specs (vCPU, RAM, disk) and hourly/monthly pricing and committed-pricing options. Use the sku_name, id (SKU ID) and plan slug from this response as plan_name, sku_id and slug_name when creating a group.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”vm_template_id
required
integer
The template_id of the image to fetch plans for.
Example
12345Query Parameters
Section titled “Query Parameters”project_id
required
integer
Identifier of the project to scope the request to. Required integer project ID.
Example
<PROJECT_ID>apikey
required
string
API key used to authenticate the request.
Example
<API_KEY>location
required
string
Region whose plans and pricing should be returned.
Example
<LOCATION>Responses
Section titled “Responses”Successful response
Media typeapplication/json
Compute plans and pricing available for the selected image template.
object
code
integer
data
object
data
Array<object>
object
name
string
plan
string
image
string
os
object
name
string
version
string
image
string
category
string
location
string
specs
object
id
string
sku_name
string
ram
string
cpu
integer
disk_space
integer
price_per_month
integer
price_per_hour
number
series
string
minimum_billing_amount
integer
committed_sku
Array<object>
object
committed_sku_id
integer
committed_sku_name
string
committed_sku_price
number
committed_upto_date
string
committed_days
integer
family
string
available_inventory_status
boolean
currency
string
is_private_cluster_user
boolean
storage_price
integer
errors
object
message
string
Example
{ "code": 200, "data": { "data": [ { "name": "C3.8GB", "plan": "C3-4vCPU-8RAM-100DISK-C3-Onetemplate-Ubuntu24.04-Delhi", "image": "Ubuntu-24.04-Distro", "os": { "name": "Ubuntu", "version": "24.04", "image": "Ubuntu-24.04-Distro", "category": "Ubuntu" }, "location": "Delhi", "specs": { "id": "1088", "sku_name": "C3.8GB", "ram": "8.00", "cpu": 4, "disk_space": 100, "price_per_month": 2263, "price_per_hour": 3.1, "series": "C3", "minimum_billing_amount": 0, "committed_sku": [ { "committed_sku_id": 12345, "committed_sku_name": "365 Days Committed , Rs. 21725.0", "committed_sku_price": 21725, "committed_upto_date": "19-June-2027 08:46", "committed_days": 365 } ], "family": "C3" }, "available_inventory_status": true, "currency": "INR" } ], "is_private_cluster_user": false, "storage_price": 0 }, "message": "Success"}